org.eclipse.viatra.query.tooling.generator.model.generatorModel

## Interface GeneratorModelPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    GeneratorModelPackageImpl

      public interface GeneratorModelPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `GeneratorModelFactory`
  Generated:
  Model:
    kind="package"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `GeneratorModelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONFIGURATION` The meta object id for the '`Configuration`' class.
    `static int` | `CONFIGURATION__NAME` The feature id for the 'Name' attribute.
    `static int` | `CONFIGURATION__PROPERTY` The feature id for the 'Property' containment reference list.
    `static int` | `CONFIGURATION_FEATURE_COUNT` The number of structural features of the 'Configuration' class.
    `static GeneratorModelPackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `GENERATOR_MODEL_REFERENCE` The meta object id for the '`Reference`' class.
    `static int` | `GENERATOR_MODEL_REFERENCE__GENMODEL` The feature id for the 'Genmodel' reference.
    `static int` | `GENERATOR_MODEL_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Reference' class.
    `static int` | `PROPERTY` The meta object id for the '`Property`' class.
    `static int` | `PROPERTY__KEY` The feature id for the 'Key' attribute.
    `static int` | `PROPERTY__VALUE` The feature id for the 'Value' attribute.
    `static int` | `PROPERTY_FEATURE_COUNT` The number of structural features of the 'Property' class.
    `static int` | `VIATRA_QUERY_GENERATOR_MODEL` The meta object id for the '`Viatra Query Generator Model`' class.
    `static int` | `VIATRA_QUERY_GENERATOR_MODEL__CONFIGURATION` The feature id for the 'Configuration' containment reference list.
    `static int` | `VIATRA_QUERY_GENERATOR_MODEL__GENMODELS` The feature id for the 'Genmodels' containment reference list.
    `static int` | `VIATRA_QUERY_GENERATOR_MODEL_FEATURE_COUNT` The number of structural features of the 'Viatra Query Generator Model' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getConfiguration_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getConfiguration_Property()` Returns the meta object for the containment reference list '`Property`'.
    `org.eclipse.emf.ecore.EClass` | `getConfiguration()` Returns the meta object for class '`Configuration`'.
    `GeneratorModelFactory` | `getGeneratorModelFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EReference` | `getGeneratorModelReference_Genmodel()` Returns the meta object for the reference '`Genmodel`'.
    `org.eclipse.emf.ecore.EClass` | `getGeneratorModelReference()` Returns the meta object for class '`Reference`'.
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_Key()` Returns the meta object for the attribute '`Key`'.
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getProperty()` Returns the meta object for class '`Property`'.
    `org.eclipse.emf.ecore.EReference` | `getViatraQueryGeneratorModel_Configuration()` Returns the meta object for the containment reference list '`Configuration`'.
    `org.eclipse.emf.ecore.EReference` | `getViatraQueryGeneratorModel_Genmodels()` Returns the meta object for the containment reference list '`Genmodels`'.
    `org.eclipse.emf.ecore.EClass` | `getViatraQueryGeneratorModel()` Returns the meta object for class '`Viatra Query Generator Model`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final GeneratorModelPackage eINSTANCE

      The singleton instance of the package.
      Generated:

    - #### VIATRA_QUERY_GENERATOR_MODEL

          static final int VIATRA_QUERY_GENERATOR_MODEL

      The meta object id for the '`Viatra Query Generator Model`' class.
      See Also:
        `ViatraQueryGeneratorModelImpl`, `GeneratorModelPackageImpl.getViatraQueryGeneratorModel()`, Constant Field Values
      Generated:

    - #### VIATRA_QUERY_GENERATOR_MODEL__GENMODELS

          static final int VIATRA_QUERY_GENERATOR_MODEL__GENMODELS

      The feature id for the 'Genmodels' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VIATRA_QUERY_GENERATOR_MODEL__CONFIGURATION

          static final int VIATRA_QUERY_GENERATOR_MODEL__CONFIGURATION

      The feature id for the 'Configuration' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VIATRA_QUERY_GENERATOR_MODEL_FEATURE_COUNT

          static final int VIATRA_QUERY_GENERATOR_MODEL_FEATURE_COUNT

      The number of structural features of the 'Viatra Query Generator Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### GENERATOR_MODEL_REFERENCE

          static final int GENERATOR_MODEL_REFERENCE

      The meta object id for the '`Reference`' class.
      See Also:
        `GeneratorModelReferenceImpl`, `GeneratorModelPackageImpl.getGeneratorModelReference()`, Constant Field Values
      Generated:

    - #### GENERATOR_MODEL_REFERENCE__GENMODEL

          static final int GENERATOR_MODEL_REFERENCE__GENMODEL

      The feature id for the 'Genmodel' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### GENERATOR_MODEL_REFERENCE_FEATURE_COUNT

          static final int GENERATOR_MODEL_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Reference' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONFIGURATION

          static final int CONFIGURATION

      The meta object id for the '`Configuration`' class.
      See Also:
        `ConfigurationImpl`, `GeneratorModelPackageImpl.getConfiguration()`, Constant Field Values
      Generated:

    - #### CONFIGURATION__NAME

          static final int CONFIGURATION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONFIGURATION__PROPERTY

          static final int CONFIGURATION__PROPERTY

      The feature id for the 'Property' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONFIGURATION_FEATURE_COUNT

          static final int CONFIGURATION_FEATURE_COUNT

      The number of structural features of the 'Configuration' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROPERTY

          static final int PROPERTY

      The meta object id for the '`Property`' class.
      See Also:
        `PropertyImpl`, `GeneratorModelPackageImpl.getProperty()`, Constant Field Values
      Generated:

    - #### PROPERTY__KEY

          static final int PROPERTY__KEY

      The feature id for the 'Key' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROPERTY__VALUE

          static final int PROPERTY__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PROPERTY_FEATURE_COUNT

          static final int PROPERTY_FEATURE_COUNT

      The number of structural features of the 'Property' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

  - ### Method Detail

    - #### getViatraQueryGeneratorModel

          org.eclipse.emf.ecore.EClass getViatraQueryGeneratorModel()

      Returns the meta object for class '`Viatra Query Generator Model`'.
      Returns:
        the meta object for class 'Viatra Query Generator Model'.
      See Also:
        `ViatraQueryGeneratorModel`
      Generated:

    - #### getViatraQueryGeneratorModel_Genmodels

          org.eclipse.emf.ecore.EReference getViatraQueryGeneratorModel_Genmodels()

      Returns the meta object for the containment reference list '`Genmodels`'.
      Returns:
        the meta object for the containment reference list 'Genmodels'.
      See Also:
        `ViatraQueryGeneratorModel.getGenmodels()`, `getViatraQueryGeneratorModel()`
      Generated:

    - #### getViatraQueryGeneratorModel_Configuration

          org.eclipse.emf.ecore.EReference getViatraQueryGeneratorModel_Configuration()

      Returns the meta object for the containment reference list '`Configuration`'.
      Returns:
        the meta object for the containment reference list 'Configuration'.
      See Also:
        `ViatraQueryGeneratorModel.getConfiguration()`, `getViatraQueryGeneratorModel()`
      Generated:

    - #### getGeneratorModelReference

          org.eclipse.emf.ecore.EClass getGeneratorModelReference()

      Returns the meta object for class '`Reference`'.
      Returns:
        the meta object for class 'Reference'.
      See Also:
        `GeneratorModelReference`
      Generated:

    - #### getGeneratorModelReference_Genmodel

          org.eclipse.emf.ecore.EReference getGeneratorModelReference_Genmodel()

      Returns the meta object for the reference '`Genmodel`'.
      Returns:
        the meta object for the reference 'Genmodel'.
      See Also:
        `GeneratorModelReference.getGenmodel()`, `getGeneratorModelReference()`
      Generated:

    - #### getConfiguration

          org.eclipse.emf.ecore.EClass getConfiguration()

      Returns the meta object for class '`Configuration`'.
      Returns:
        the meta object for class 'Configuration'.
      See Also:
        `Configuration`
      Generated:

    - #### getConfiguration_Name

          org.eclipse.emf.ecore.EAttribute getConfiguration_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Configuration.getName()`, `getConfiguration()`
      Generated:

    - #### getConfiguration_Property

          org.eclipse.emf.ecore.EReference getConfiguration_Property()

      Returns the meta object for the containment reference list '`Property`'.
      Returns:
        the meta object for the containment reference list 'Property'.
      See Also:
        `Configuration.getProperty()`, `getConfiguration()`
      Generated:

    - #### getProperty

          org.eclipse.emf.ecore.EClass getProperty()

      Returns the meta object for class '`Property`'.
      Returns:
        the meta object for class 'Property'.
      See Also:
        `Property`
      Generated:

    - #### getProperty_Key

          org.eclipse.emf.ecore.EAttribute getProperty_Key()

      Returns the meta object for the attribute '`Key`'.
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Property.getKey()`, `getProperty()`
      Generated:

    - #### getProperty_Value

          org.eclipse.emf.ecore.EAttribute getProperty_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Property.getValue()`, `getProperty()`
      Generated:

    - #### getGeneratorModelFactory

          GeneratorModelFactory getGeneratorModelFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated: